All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.customizer.html
Class MapPropertySelectorPanel

    com.sas.servlet.tbeans.dataselectors.customizer.html.MapPropertySelectorPanel

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, com.sas.collection.ContentsChangedListener, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, MapPropertySelectorKeysInterface, MapPropertySelectorStyleKeysInterface, FormViewInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable, java.util.EventListener

    public class MapPropertySelectorPanel

implements MapPropertySelectorKeysInterface, MapPropertySelectorStyleKeysInterface

See Also:
  Serialized Form

Field Summary
`protected ChoiceBox` | `colorRegionsCombo`
`protected Label` | `colorRegionsLabel`
`protected MapCrossingSelector` | `crossingSelector`
`protected com.sas.servlet.tbeans.html.TabButton` | `dataCrossingTab`
`static java.lang.String` | `DEFAULT_TEMPLATE_FILE_NAME`
`protected static java.util.HashMap` | `defaultStyleMap`
`protected CheckBox` | `displayCrossingCheckBox`
`protected Form` | `form`
`protected Label` | `heightLabel`
`protected TextEntry` | `heightTextEntry`
`protected Label` | `hpixelsLabel`
`protected Label` | `layersLabel`
`protected CheckBoxList` | `layersList`
`protected Label` | `layersNoteLabel`
`protected com.sas.servlet.tbeans.html.TabButton` | `layerTab`
`protected com.sas.servlet.tbeans.html.TabButton` | `mapTab`
`protected ChoiceBox` | `numberOfColors`
`protected Label` | `numberOfColorsLabel`
`protected java.lang.String` | `RB_KEY`
`protected com.sas.servlet.tbeans.html.ColorPicker` | `selectedRegionColor`
`protected Label` | `selectedRegionLabel`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `SelectorContainerStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `SelectorTextStyle`
`protected ChoiceBox` | `sizeComboBox`
`protected Label` | `sizeLabel`
`protected com.sas.servlet.tbeans.html.TabMenu` | `tabMenu`
`protected boolean` | `tabMenuAdded`
`protected TextEntry` | `titleText`
`protected Label` | `titleTextLabel`
`protected Label` | `widthLabel`
`protected TextEntry` | `widthTextEntry`
`protected Label` | `wpixelsLabel`

Fields inherited from class com.sas.servlet.tbeans.dataselectors.BaseSelectorPanel
`imageLocation, SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.customizer.html.MapPropertySelectorKeysInterface
`MAPPROPERTY_COLOR_REGIONS_COMBOBOX, MAPPROPERTY_COLOR_REGIONS_LABEL, MAPPROPERTY_CROSSING_SELECTOR, MAPPROPERTY_DISPLAY_CROSSING_CHECKBOX, MAPPROPERTY_HEIGHT_LABEL, MAPPROPERTY_HEIGHT_PIXELS, MAPPROPERTY_HEIGHT_TEXT, MAPPROPERTY_LAYERS_LABEL, MAPPROPERTY_LAYERS_LIST, MAPPROPERTY_LAYERS_NOTE_LABEL, MAPPROPERTY_NUMBER_OF_COLORS_COMBOBOX, MAPPROPERTY_NUMBER_OF_COLORS_LABEL, MAPPROPERTY_SELECTED_REGION_COLORS, MAPPROPERTY_SELECTED_REGION_COLORS_LABEL, MAPPROPERTY_SIZE_COMBOBOX, MAPPROPERTY_SIZE_LABEL, MAPPROPERTY_TITLE_FONT_PICKER, MAPPROPERTY_TITLE_TEXT, MAPPROPERTY_TITLE_TEXT_LABEL, MAPPROPERTY_WIDTH_LABEL, MAPPROPERTY_WIDTH_PIXELS, MAPPROPERTY_WIDTH_TEXT`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.customizer.html.MapPropertySelectorStyleKeysInterface
`MAPPROPERTY_CONTAINER_STYLE, MAPPROPERTY_LABEL_STYLE`

Constructor Summary
`MapPropertySelectorPanel()` Default constructor.
`MapPropertySelectorPanel(java.lang.String name)` Constructor.

Method Summary
`protected void` | `_setLocaleDependentProperties(java.util.Locale locale)` protected version of the method for setting locale dependent properties to avoid the overhead of protected method calls in the constructor per defect S0190664.
`protected void` | `addComponents()` Creates the components and add them to the selector template.
`protected void` | `createColorsComponents()`
`protected void` | `createCrossingSelector()`
`protected void` | `createLayersComponent()`
`protected void` | `createLayersLabels()`
`protected void` | `createSizeComponents()`
`protected void` | `createTabComponents()`
`protected void` | `createTitleComponents()`
`protected javax.swing.DefaultComboBoxModel` | `getLocalizedColorRegions()`
`protected javax.swing.DefaultComboBoxModel` | `getLocalizedNumberOfColors()`
`protected javax.swing.DefaultComboBoxModel` | `getLocalizedSizeModel()`
`BaseESRIMapChart` | `getMapComponent()`
`protected void` | `setActionComponentIds()`
`protected void` | `setDefaultValues()`
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets the locale dependent properties.
`void` | `setMapComponent(BaseESRIMapChart mc)`
`protected static void` | `setupDefaultStyleMap()`
`protected void` | `updateLayersListModel(CheckBoxList layersList)`
`void` | `write(java.io.PrintWriter out)` Writes the custom attributes of the object.
`protected void` | `writeJavaScript(java.io.PrintWriter out)`
`protected void` | `writeJSIncludes(java.io.PrintWriter out)`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.SelectorPanel
`close, getAdditionalParameters, getDefaultFormObject, getFormObject, getIframeName, isFormEnabled, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject, setIframeName, writeRemoteScriptCommands, writeRemoteScriptFrame, writeSelectorPanelFooter, writeSelectorPanelHeader`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.BaseSelectorPanel
`contentsChanged, getActionProvider, getCommandId, getImageLocation, getSelector, getSelectorModel, setActionProvider, setCommandId, setImageLocation, setSelector, setSelectorModel`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### RB_KEY

    protected java.lang.String RB_KEY

### DEFAULT_TEMPLATE_FILE_NAME

    public static final java.lang.String DEFAULT_TEMPLATE_FILE_NAME

See Also:
  Constant Field Values

### defaultStyleMap

    protected static final java.util.HashMap defaultStyleMap

### SelectorTextStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo SelectorTextStyle

### SelectorContainerStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo SelectorContainerStyle

### tabMenu

    protected com.sas.servlet.tbeans.html.TabMenu tabMenu

### mapTab

    protected com.sas.servlet.tbeans.html.TabButton mapTab

### layerTab

    protected com.sas.servlet.tbeans.html.TabButton layerTab

### dataCrossingTab

    protected com.sas.servlet.tbeans.html.TabButton dataCrossingTab

### titleTextLabel

    protected Label titleTextLabel

### titleText

    protected TextEntry titleText

### sizeComboBox

    protected ChoiceBox sizeComboBox

### sizeLabel

    protected Label sizeLabel

### widthLabel

    protected Label widthLabel

### widthTextEntry

    protected TextEntry widthTextEntry

### wpixelsLabel

    protected Label wpixelsLabel

### heightLabel

    protected Label heightLabel

### heightTextEntry

    protected TextEntry heightTextEntry

### hpixelsLabel

    protected Label hpixelsLabel

### tabMenuAdded

    protected boolean tabMenuAdded

### colorRegionsLabel

    protected Label colorRegionsLabel

### colorRegionsCombo

    protected ChoiceBox colorRegionsCombo

### numberOfColorsLabel

    protected Label numberOfColorsLabel

### numberOfColors

    protected ChoiceBox numberOfColors

### selectedRegionLabel

    protected Label selectedRegionLabel

### selectedRegionColor

    protected com.sas.servlet.tbeans.html.ColorPicker selectedRegionColor

### layersList

    protected CheckBoxList layersList

### layersLabel

    protected Label layersLabel

### layersNoteLabel

    protected Label layersNoteLabel

### crossingSelector

    protected MapCrossingSelector crossingSelector

### displayCrossingCheckBox

    protected CheckBox displayCrossingCheckBox

### form

    protected Form form

Constructor Detail

### MapPropertySelectorPanel

    public MapPropertySelectorPanel()

  Default constructor.

### MapPropertySelectorPanel

    public MapPropertySelectorPanel(java.lang.String name)

  Constructor.

  Parameters:
    `name` - The name of the panel

Method Detail

### setupDefaultStyleMap

    protected static void setupDefaultStyleMap()

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Description copied from class: `BaseTransformation`
  Sets the locale dependent properties. Not operational at this level.

  Overrides:
    `setLocaleDependentProperties` in class `BaseTransformation`

### _setLocaleDependentProperties

    protected void _setLocaleDependentProperties(java.util.Locale locale)

  protected version of the method for setting locale dependent properties to avoid the overhead of protected method calls in the constructor per defect S0190664.

### addComponents

    protected void addComponents()

  Creates the components and add them to the selector template.

### createCrossingSelector

    protected void createCrossingSelector()

### createTabComponents

    protected void createTabComponents()

### createLayersLabels

    protected void createLayersLabels()

### createTitleComponents

    protected void createTitleComponents()

### createSizeComponents

    protected void createSizeComponents()

### createColorsComponents

    protected void createColorsComponents()

### createLayersComponent

    protected void createLayersComponent()

### updateLayersListModel

    protected void updateLayersListModel(CheckBoxList layersList)

### getLocalizedSizeModel

    protected javax.swing.DefaultComboBoxModel getLocalizedSizeModel()

### getLocalizedColorRegions

    protected javax.swing.DefaultComboBoxModel getLocalizedColorRegions()

### getLocalizedNumberOfColors

    protected javax.swing.DefaultComboBoxModel getLocalizedNumberOfColors()

### setActionComponentIds

    protected void setActionComponentIds()

### setDefaultValues

    protected void setDefaultValues()

### write

    public void write(java.io.PrintWriter out)

  Description copied from class: `BaseCompositeTransformation`
  Writes the custom attributes of the object. All transformation beans should override this method and call SUPER.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseCompositeTransformation`
  Parameters:
    `out` - The output stream

### writeJavaScript

    protected void writeJavaScript(java.io.PrintWriter out)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeJSIncludes

    protected void writeJSIncludes(java.io.PrintWriter out)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMapComponent

    public BaseESRIMapChart getMapComponent()

### setMapComponent

    public void setMapComponent(BaseESRIMapChart mc)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.